<template>
  <ContentScrollView>
    <SelectPayTypeView
      style="margin-top: 40px"
      :orderNo="orderNo"
      :lifePayOrderType="lifePayOrderType"
      @paySuccess="handePaySuccess"
      :showAliPay="!isInWeChat"
      :showWeixinPay="!isInAlipay"
      :openId="wxOpenId"
      :isInWeChat="isInWeChat"
      :isH5="isH5"
      :appId="WXPayAppId"
    />
  </ContentScrollView>
</template>

<script setup lang="ts">
import { SelectPayTypeView } from '@life-payment/components';
import { LifeRechargeConstants } from '@life-payment/core-vue';
import Taro from '@tarojs/taro';
import { isInAlipay, isInWeChat, isH5 } from '@/utils/env';
import { useUser } from '@/hooks';
import { WXPayAppId } from '@/constants';

defineOptions({
  name: 'selectPayType',
});

const router = Taro.useRouter();
const orderNo = router.params?.orderNo ?? '';
const lifePayOrderType = Number(router.params?.lifePayOrderType ?? '');

const { wxOpenId } = useUser();

function handePaySuccess(
  orderNo: string,
  lifePayOrderType: LifeRechargeConstants.LifePayOrderTypeEnum
) {
  if (lifePayOrderType === LifeRechargeConstants.LifePayOrderTypeEnum.话费订单) {
    Taro.navigateTo({
      url: `${RouterPath.rechargeResult}?orderNo=${orderNo}&lifePayOrderType=${lifePayOrderType}`,
    });
  } else if (lifePayOrderType === LifeRechargeConstants.LifePayOrderTypeEnum.电费订单) {
    Taro.navigateTo({
      url: `${RouterPath.rechargeElectricResult}?orderNo=${orderNo}&lifePayOrderType=${lifePayOrderType}`,
    });
  }
}
</script>
